
Summary: An image and photo viewer, browser, manager and simple editor.
Name: pixieplus
Version: 0.5.4
Release: 1
License: GPL (to be checked, site down)
Group: Applications/Graphics
URL: http://www.mosfet.org

# problem: site seems to be down, mosfet.org doesn't exist anymore
# license is GPL i think

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries Apt/Yum Repository http://dries.ulyssis.org/ayo/

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}

%description
An image and photo viewer, browser, manager and simple editor.

%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup

%build
. /etc/profile.d/qt.sh
%configure
%{__make} %{?_smp_mflags}

%install
. /etc/profile.d/qt.sh
export DESTDIR=$RPM_BUILD_ROOT
%{__make} install-strip
rm -f $RPM_BUILD_ROOT/usr/share/mimelnk/image/x-pcx.desktop
rm -f $RPM_BUILD_ROOT/usr/share/applnk/Graphics/pixie-mini.desktop
rm -f $RPM_BUILD_ROOT/usr/share/applnk/Graphics/pixie.desktop
mkdir -p ${DESTDIR}/usr/share/applications/
cat >  ${DESTDIR}/usr/share/applications/pixieplus.desktop <<EOF
[Desktop Entry]
Type=Application
Comment=PixiePlus Image Manager and Editor
Icon=pixie
Name=PixiePlus Image Manager
Exec=pixie %f
MapNotify=true
MimeType=image/gif;image/x-xpm;image/x-xbm;image/jpeg;image/x-bmp;image/png;image/x-jng;image/x-pcx;image/x-miff;image/x-pict;image/x-tga;image/x-xwd
InitialPreference=5
DocPath=pixie/index.html
Encoding=UTF-8
Categories=Application;Graphics;X-Red-Hat-Extra;
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root, 0755)
/usr/bin/pixie
/usr/lib/libpixie_misc.la
/usr/lib/libpixie_misc.so.1.0.0
/usr/lib/libpixie_misc.so.1
/usr/lib/libpixie_misc.so
/usr/lib/pixie.la
/usr/lib/pixie.so
/usr/share/apps/konqueror/servicemenus/konqPixie.desktop
/usr/share/apps/pixie/doc/en
/usr/share/apps/pixie/pixielogo.jpg
/usr/share/apps/pixie/toolbar/kwin.png
/usr/share/apps/pixie/toolbar/mini-ray.png
/usr/share/apps/pixie/toolbar/mini-run.png
/usr/share/icons/*/*/actions/backimage.png
/usr/share/icons/*/*/actions/brightness.png
/usr/share/icons/*/*/actions/catagory.png
/usr/share/icons/*/*/actions/contrast+.png
/usr/share/icons/*/*/actions/contrast-.png
/usr/share/icons/*/*/actions/dim.png
/usr/share/icons/*/*/actions/forwardimage.png
/usr/share/icons/*/*/actions/hotlistadd.png
/usr/share/icons/*/*/actions/hotlistdel.png
/usr/share/icons/*/*/actions/nextfilelist.png
/usr/share/icons/*/*/actions/prevfilelist.png
/usr/share/icons/*/*/apps/pixie.png
/usr/share/icons/*/*/actions/thumb.png
/usr/share/icons/*/*/actions/window_new.png
/usr/share/icons/*/*/apps/pixie.png
/usr/share/icons/*/*/apps/ray.png
/usr/share/icons/*/*/apps/run.png
/usr/share/mimelnk/image/x-miff.desktop
/usr/share/mimelnk/image/x-pict.desktop
/usr/share/mimelnk/image/x-tga.desktop
/usr/share/mimelnk/image/x-xwd.desktop
/usr/share/applications/pixieplus.desktop


%changelog
* Mon Feb 2 2004 Dries Verachtert <dries@ulyssis.org> 0.5.4-1
- first packaging for Fedora Core 1
